# Command: arraylib::GaussPatch

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    arraylib::GaussPatch - Return a two-dimensional array with Gauss function.

Synopsis:

      nrows ncols GaussPatch -> [[] .. []]

Description:

      This function returns a matrix of nrows by ncols, with the amplitudes
      of a two dimensional Gauss function, computed over the range of
      [x_min,x_max] by [y_min,y_max].
      These and other parameters can be set by changing the function's options.

      If the aspect ratio gamma < 1, an orientation of 0 RAD results in
      a vertically oriented eliptic Gauss .
      Angles are measured counter clockwise from the positive x-axis.

      Note that GaussPatch automatically performs a coordinate transformation
      from the mathematical x-y plane to the matrix row-column system.

Parameters:

      nrows: number of rows of the result matrix.
      ncols: number of columns of the result matrix.

Options:

      Options which determine the argument range of the Gauss patch.

      x_min	 doubletype 	- smallest x coordinate value  [-3.0]
      x_max	 doubletype 	- largest  x coordinate value. [ 3.0]
      y_min	 doubletype 	- smallest y coordinate value. [-3.0]
      y_max	 doubletype 	- largest  y coordinate value. [ 3.0]

      Options which determine the Gaussian function:

      orientation doubletype 	- Rotation of the Gaussian in RAD [ 0.0]
      sigma	 doubletype 	- Width of the Gaussian.	 [ 1.0]
      gamma	 doubletype 	- Spatial aspect ratio.	 [ 1.0]

      Normalization options:

      Normalize   booltype  	- Normalize the Gaussian to   [false]
      integral 1.0 (before sampling
      to output array)
      NormalizeSum booltype  	- After sampling the Gaussian, [false]
      normalize the output array
      to have total sum of 1.0

Author:

    Marc-Oliver Gewaltig

SeeAlso:

- gauss2d_

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/lib/sli/arraylib.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative